Author Topic: /htdocs/resources/admin/include/cron.php has expired. in Unknown on line 0  (Read 1041 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Hello,
I can't reach my cwp pannel dashboard, its blank

Log error : [error] 2074#0: *74 FastCGI sent in stderr: "PHP message: PHP Fatal error:  <br>The encoded file <b>/usr/local/cwpsrv/htdocs/admin/admin/index.php</b> has expired. in Unknown on line 0" while reading response header from upstream, client: 160.155.60.61, server: localhost, request: "GET /cwp_447952aa40421b3f7663d7f09429ad87/admin/index.php?module=fast_login HTTP/1.1", upstream: "fastcgi://unix:/usr/local/cwp/php71/var/sockets/cwpsrv.sock:", host: "137.74.44.189:2031

when I run  sh /scripts/update_cwp
Cannot load the ionCube PHP Loader - it was already loaded
PHP Fatal error: 
The encoded file /usr/local/cwpsrv/htdocs/resources/admin/include/cron.php has expired.
 in Unknown on line 0

Apache PHP info:
PHP 7.2.9 (cli) (built: Feb 26 2019 09:36:06) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.2.0, Copyright (c) 1998-2018 Zend Technologies

Apache start script check:
httpd=${HTTPD-/usr/local/apache/bin/httpd}

CWP Admin check:
/usr/local/cwpsrv/htdocs/admin

CWP version:
Cannot load the ionCube PHP Loader - it was already loaded
PHP Fatal error: 
The encoded file /usr/local/cwpsrv/htdocs/resources/scripts/cwp_version has expired.
 in Unknown on line 0


please Help


Offline
***
Follow the Manual Update steps below.  Please pay special attention to whether you are using CentOS 6 or 7, as it DOES matter.

Quote
Test what is the cwp PHP version and if it is updated to 7.2

/usr/local/cwp/php71/bin/php -v
PHP 7.2.30

if PHP was not updated to 7.2 then try manually
yum update cwpphp --enablerepo=cwp

**Manual update CentOS 7 (ignore if you have CentOS 6)**
```
chattr -i -R /usr/local/cwpsrv/htdocs
cd /usr/local/cwpsrv/htdocs
wget static.cdn-cwp.com/files/cwp/el7/cwp-el7-0.9.8.961.zip
unzip -o -q cwp-el7-0.9.8.961.zip
rm -f cwp-el7-0.9.8.961.zip
```

**Manual update CentOS 6 (ignore if you have CentOS 7)**
```
chattr -i -R /usr/local/cwpsrv/htdocs
cd /usr/local/cwpsrv/htdocs
wget dl1.centos-webpanel.com/files/cwp/cwp2-0.9.8.765.zip
unzip -o cwp2-0.9.8.765.zip
rm -f cwp2-0.9.8.765.zip
```


**Manual update for services (This steep must be done for CentOS 6 and 7)**
```
chattr -R -i /usr/local/cwpsrv/var/services/
cd /usr/local/cwpsrv/var/services/
wget static.cdn-cwp.com/files/cwp/el7/cwp-services.zip
unzip -o -q cwp-services.zip
rm -f cwp-services.zip
```

Test if all is ok, it should run update without errors
```
sh /scripts/update_cwp
```

If you get error like:
> Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS

then run this:

```
sed -i "s/ioncube_loader_lin_7.0/ioncube_loader_lin_7.2/g" /usr/local/cwp/php71/php.ini
sh /scripts/restart_cwpsrv
Google Hangouts:  rcschaff82@gmail.com

Offline
*
Quote
if PHP was not updated to 7.2 then try manually

How exactly to do that without to harm webapp php version?

Offline
*
I have had the same problem in the past.  It usually happened when I had not updated in a few months.  I learned to keep cwp up to date.

Check your version of cwp.

Offline
*
Can't update. I receive error after sh /scripts/update_cwp

Quote
PHP Fatal error:
The file /usr/local/cwpsrv/htdocs/resources/admin/include/cron.php was encoded with the Encoder for PHP 7.2 and can only run on PHP 7.2 or later.
If you are the administrator of this site then please upgrade to PHP 7.2 or later and install the corresponding ionCube Loader. in Unknown on line 0

Offline
*

If you're on CentOs 6 and /usr/local/cwp/php71/bin/php -v returns PHP 7.2,  the steps above WILL NOT WORK, and will brick your admin panel if it wasn't already. cwp2-0.9.8.763.zip is the LAST version that will work with CWP and 7.0.x versions of PHP. Anything newer will give you the "...was encoded with the Encoder for PHP 7.2 and can only run on PHP 7.2 or later." message, anything older will give you the expired file error.

An email response I received from support earlier lead me to believe that CWP on 32-bit Centos 6 machines had reached EOL, but I see no indication of the anywhere else, and the product page still lists CWP on 32-bot Centos 6 as a current product. So, who knows...?

-B

Offline
*****
CentOS 6 does not support by CWP and has no any updates. I would recommend moving your data to CentOS 8.
You can ask me to solve any problem with your server for some money in pm  ;)
Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor
Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp

Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services